<?php
/*
 * Plugin Name: CoolIris-Piclens
 * File :  piclens.class.php  
 */
 

class Piclens
{
    var $my_config, $root_site_piclens;
	
	function Piclens()
	{
		// HTTPS
		set_make_full_url();
		$this->root_site_piclens = get_root_url();
		// If needed NO_https can easily be set in your config_local thru LocalFiles Editor
		if (isset($conf['NO_https']) and $conf['NO_https'] and strncasecmp($this->root_site_piclens, 'https://', 8) == 0 ) 
			$this->root_site_piclens = 'http://' . substr($this->root_site_piclens, 8);
		// HTTPS
		unset_make_full_url();
	}
	
	
	// Add Piclens CSS & Javascript in HEAD section
	function piclens_link()
	{
	    global $template, $page, $user;

		
		$jscript = '<script type="text/javascript"> function roll_over_piclens(img_name, img_src){document[img_name].src = img_src;}</script>';
		$template->append('head_elements',$jscript);			
	  

		// Vérification d'activation du plugin (page administration)
		if ($this->my_config['piclens_active'])
		{
			// Correction bug compteur "fou". Les pages d'affichage des images seules ne sont pas a prendre en compte.
			if (isset($page['section']) && !isset($page['image_id']))
			{

				// Page Tags
				if (($page['section']) == 'tags' && $this->my_config['piclens_tags_active'])
				{
					$tags = '';
					foreach ($page['tag_ids'] as $id => $tag)
						$tags .= '/'.$tag.'-'.$page['tags'][''.$id.'']['name'];
					
					$piclnkMaster='<link rel="alternate"'
								. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/tags'
								.$tags
								.'"'
								.' type="application/rss+xml" title="" id="recent_pics"'
								. ' >' . "\n";			
				}
				// Page images recentes
				elseif (($page['section']) == 'recent_pics' && $this->my_config['piclens_recentpics_active'])
				{
					$piclnkMaster='<link rel="alternate"'
								. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/recent_pics"'
								.' type="application/rss+xml" title="" id="recent_pics"'
								. ' >' . "\n";			
				}
				// Page categories recentes
				elseif (($page['section']) == 'recent_cats' && $this->my_config['piclens_recentcats_active'])
				{
					if ($this->my_config['piclens_recursive_mode'] != 'standard')
					{
						$query = 'SELECT c.id, c.permalink
						  FROM '.CATEGORIES_TABLE.' c INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
						  ON id = cat_id and user_id = '.$user['id'].'
						  WHERE date_last >= SUBDATE(
							CURRENT_DATE,INTERVAL '.$user['recent_period'].' DAY
						  )
						'.get_sql_condition_FandF
						  (
							array
							  (
								'visible_categories' => 'id',
							  ),
							'AND'
						  ).'
						;';
						$piclnkMaster='';
						$result = pwg_query($query);
						while ($row = mysql_fetch_assoc($result))
						{
							// Gestion des permalinks
							$categoryId = $row['id'] ;
							if (!empty($row['permalink']))
								$categoryId = $row['permalink'];
					
							$piclnkMaster.='<link rel="alternate"'
										. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'
										. $categoryId .'&norecurs"'
										.' type="application/rss+xml" title="" id="'.$row['id'].'"'
										. ' >' . "\n";
							
						}
					}
					else
					{

						$piclnkMaster='<link rel="alternate"'
									. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/recent_cats"'
									.' type="application/rss+xml" title="" id="recent_cats"'
									. ' >' . "\n";			

					}
				}
				// Page plus vues
				elseif (($page['section']) == 'most_visited' && $this->my_config['piclens_mostvisited_active'])
				{
					$piclnkMaster='<link rel="alternate"'
								. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/most_visited"'
								.' type="application/rss+xml" title="" id="most_visited"'
								. ' >' . "\n";			
				}
				// mieux notees	
				else if ($page['section'] == 'best_rated' && $this->my_config['piclens_bestrated_active'])
				{
					$piclnkMaster='<link rel="alternate"'
								. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/best_rated"'
								.' type="application/rss+xml" title="" id="best_rated"'
								. ' >' . "\n";			
				}
				// favories	
				else if ($page['section'] == 'favorites' && $this->my_config['piclens_favorites_active'])
				{
					$piclnkMaster='<link rel="alternate"'
								. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/favorites"'
								.' type="application/rss+xml" title="" id="favorites"'
								. ' >' . "\n";			
				}

				// Seulement sur une page type 'categorie'
				// Correction bug compteur "fou". Les pages d'affichage des images seules ne sont pas a prendre en compte.
				elseif (($page['section']) == 'categories' && !isset($page['image_id']))
				{
					
					// Page accueil et option gallerie activee
				    if( (empty($page['category'])) && $this->my_config['piclens_gallerie_active'] )
				    {
						if ($this->my_config['piclens_recursive_mode'] != 'standard')
						{
							$query = 'SELECT id,name,permalink FROM ' . CATEGORIES_TABLE
							.' WHERE id_uppercat is NULL';
							
							$piclnkMaster='';
							$result = pwg_query($query);

							while ($row = mysql_fetch_assoc($result))
							{
								if (!(in_array($row['id'], explode(',', $user['forbidden_categories']))))
								{
									$piclnkMaster.='<link rel="alternate"'
												. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'
												. $row['id'] .'"'
												.' type="application/rss+xml" title="" id="'.$row['id'].'"'
												. ' >' . "\n";										
								}
							}
						
						}
						else
						{
							$piclnkMaster='<link rel="alternate"'
										. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/categories"'
										.' type="application/rss+xml" title="" id="accueil"'
										. ' >' . "\n";
						}
				    }
					// Add only if we are in category page
				    elseif (!empty($page['category']['id']))
					{

						if ($this->my_config['piclens_recursive_mode'] != 'standard')
						{
							$categoryId = $page['category']['id'] ;
							if (!empty($page['category']['permalink']))
								$categoryId = $page['category']['permalink'];

							$piclnkMaster='<link rel="alternate"'
										. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'
										. $categoryId .'&norecurs"'
										.' type="application/rss+xml" title="" id="'.$page['category']['id'].'"'
										. ' >' . "\n";

							$query = '
							SELECT DISTINCT(id)
							FROM '.CATEGORIES_TABLE.'
							WHERE id_uppercat='.$page['category']['id'].';';
							$result = pwg_query($query);

							while ($row = mysql_fetch_array($result))
							{
								$piclnkMaster.='<link rel="alternate"'
											. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'
											. $row['id'] .'"'
											.' type="application/rss+xml" title="" id="'.$row['id'].'"'
											. ' >' . "\n";
							}
/*							
							$piclnkMaster.='<link rel="alternate"'
										. ' href="'.get_root_url().PICLENS_PATH.'piclens-rss.php?/category/'
										. $categoryId .'&norecurs"'
										.' type="application/rss+xml" title="" id="'.$page['category']['id'].'"'
										. ' >' . "\n";
*/
						}
						
						else
						{
							// Gestion des permalinks
							$categoryId = $page['category']['id'] ;
							if (!empty($page['category']['permalink']))
								$categoryId = $page['category']['permalink'];
					
							$piclnkMaster='<link rel="alternate"'
										. ' href="'.$this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'
										. $categoryId .'"'
										.' type="application/rss+xml" title="" id="'.$page['category']['id'].'"'
										. ' >' . "\n";
						}
					}

				}
				
				if (isset($piclnkMaster))
				{
					$piclnk=$piclnkMaster;
					// We need absolute path
				
					 $template->append('head_elements',$piclnk.'<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>');			
				}
			}
	    }
		
	}


	// Add piclens Flash slideshow to toolbar
	// Thanks to P@t
	function add_piclens_icon()
	{
		global $template, $page;
		if ($this->my_config['piclens_lite_active'] && $this->my_config['piclens_active'])
		{
	 		// Seulement sur une page type 'categorie'
			if (isset($page['section']))
			{
				// images recentes
				
				if (   (($page['section']) == 'recent_pics' && $this->my_config['piclens_recentpics_active'])
					|| (($page['section']) == 'recent_cats' && $this->my_config['piclens_recentcats_active'])
					|| (($page['section']) == 'most_visited' && $this->my_config['piclens_mostvisited_active'])
					|| (($page['section']) == 'best_rated' && $this->my_config['piclens_bestrated_active'])
					|| (($page['section']) == 'favorites' && $this->my_config['piclens_favorites_active'])
					|| (($page['section']) == 'tags' && $this->my_config['piclens_tags_active'])
					|| (($page['section']) == 'categories')
					)
				// categories recentes
				// plus vues
				// mieux notees	
				// favories	
				{
					if($page['section'] == 'categories')
					{
						if (empty($page['category']))	// 	acceuil
							$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/categories';
						else
						{
							$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/';
							$rssfeed .= empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink'];
						}
						if (isset($conf['NO_https']) and $conf['NO_https'] and strncasecmp($rssfeed, 'https://', 8) == 0 ) 
								$rssfeed = 'http://' . substr($rssfeed, 8);
				
					}
					$tpl_code = '<li><a href="javascript:PicLensLite.start('.(isset($rssfeed) ? ' {feedUrl:\''.$rssfeed.'\'}' : '').');" title="'.l10n('piclens_button').'" onmouseover="roll_over_piclens(\'but1\', \''.$this->root_site_piclens.PICLENS_IMG_PATH.'cooliris-icon-point.png\')" onmouseout="roll_over_piclens(\'but1\', \''.$this->root_site_piclens.PICLENS_IMG_PATH.'cooliris-icon.png\')">';
					$tpl_code.='<img src="'.$this->root_site_piclens.PICLENS_IMG_PATH.'cooliris-icon.png" NAME="but1" class="button" alt="'.l10n('piclens_button').'" width="24" height="24"></a></li>';
					if(($page['section'] == 'categories') && empty($page['category']) && !$this->my_config['piclens_gallerie_active'])	// Accueil et option piclens gallerie desactivee
						$tpl_code='<li><img src="'.$this->root_site_piclens.PICLENS_IMG_PATH.'cooliris-icon-black.png" NAME="but1" class="button" alt="'.l10n('piclens_button').'" width="24" height="24"></a></li>';
				}
				if (isset($tpl_code))
					$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code."\n");
			}
			
		}
	}


	// Add piclens pics to start slideshow
	// Another thanks to P@t
	function set_make_full_url_piclens()
	{
		global $page;

		set_make_full_url();
		// HTTPS PATCH : If needed NO_https can easily be set in your config_local thru LocalFiles Editor
		if (isset($conf['NO_https']) and $conf['NO_https'] and strncasecmp($page['root_path'], 'https://', 8) == 0 ) 
			$page['root_path'] = 'http://' . substr($page['root_path'], 8);
		
	}

	/* Loading of the configuration on database */
	function load_config()
	{

	    $query = '
	      SELECT value
	      FROM '.CONFIG_TABLE.'
	      WHERE param = \''.PICLENS_CFG_DB.'\'
	    ;';

	    $result = pwg_query($query);

	    if($result) 
		{
		     $row = mysql_fetch_row($result);
		     if(is_string($row[0])) 
			 {
//		        $this->my_config = unserialize($row[0]);
		        $this->my_config = unserialize(($row[0]));
		     }
	    }
		$this->load_default_config();
		// Desactivation de piclenswall si PWG Stuff est installe
		$this->my_config['piclens_wall'] = (get_db_plugins('active','PWG_Stuffs') ? false : $this->my_config['piclens_wall']);

		// Si tri = defaut PIWIGO ==> l'ordre est egalement defaut PIWIGO
		if ($this->my_config['piclens_order'] == 1)			$this->my_config['piclens_sort'] = 1;
		if ($this->my_config['piclens_order_cat'] == 1)		$this->my_config['piclens_sort_cat'] = 1;
		
	}

	/* Loading of the configuration file - If not exist -> load default values */
	function load_config_file()
	{
		// changement du nom du fichier de conf.
		if (!file_exists(PICLENS_CFG_FILE))
		{
			if (file_exists(PICLENS_CFG_FILE_OLD))
				@rename(PICLENS_CFG_FILE_OLD,PICLENS_CFG_FILE);
		}
		
		$x = @file_get_contents( PICLENS_CFG_FILE );
		if ($x!==false)
		{
		  $c = unserialize($x);
		  $this->my_config = $c;
		}
		// Init default value for the config file
		$this->load_default_config();
		
		// Desactivation de piclenswall si PWG Stuff est installe
		$this->my_config['piclens_wall'] = (get_db_plugins('active','PWG_Stuffs') ? false : $this->my_config['piclens_wall']);

		// Si tri = defaut PIWIGO ==> l'ordre est egalement defaut PIWIGO
		if ($this->my_config['piclens_order'] == 1)			$this->my_config['piclens_sort'] = 1;
		if ($this->my_config['piclens_order_cat'] == 1)		$this->my_config['piclens_sort_cat'] = 1;
	}

	/* Saving of the configuration on DB*/
	function save_config()
	{
	    $query = '
	      REPLACE INTO '.CONFIG_TABLE.'
	      VALUES(
	        \''.PICLENS_CFG_DB.'\',
	        \''.(serialize($this->my_config)).'\',
	        \'Configuration de Piclens\')
	    ;';

	    $result = pwg_query($query);

	    if($result) 
			return true;
	    else 
			return false;

	}

	/* Saving of the configuration file with data */
	function save_config_file()
	{
		$file = fopen( PICLENS_CFG_FILE, 'w' );
		fwrite($file, serialize($this->my_config) );
		fclose( $file );
	}

	
	private function load_default_config()
	{
	    include PICLENS_INC_PATH.'default_values.inc.php';
	    foreach ($piclens_default_values as $key => $value) 
		{
		    if (!isset($this->my_config[$key]))		$this->my_config[$key] = $value;
		}
	}
	
	function piclens_admin_menu($menu)
	{
	    array_push($menu,
	       array(
	            'NAME' => 'Cooliris-Piclens',
	            'URL' => get_admin_plugin_menu_link(PICLENS_ADMIN_PATH.'piclens_admin.php')
	        ) 
	    );
	    return $menu;
	}

	function piclenswall()
	{
	    global $page;
		// piclens active+ activation du mur
//		if ($this->my_config['piclens_active'] && $this->my_config['piclens_wall'])
		if ($this->my_config['piclens_wall'])
	    if (isset($page['body_id']) and $page['section'] == 'categories')
		        include_once(PICLENS_PATH.'piclenswall.php');	
	}

	function piclens_thumbnails()
	{
	  global $template, $page;
	  
		// piclens active
		if (	isset($page['section'])
			and $this->my_config['piclens_active'])
		{
		
			// Pages speciales et configuration activee
			if ($this->my_config['piclens_wall_spec'])
			{
				// Page images recentes
				if (($page['section']) == 'recent_pics' && $this->my_config['piclens_wall_spec_recentpics'])
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/recent_pics';

				// Page categories recentes
				elseif (($page['section']) == 'recent_cats' && $this->my_config['piclens_wall_spec_recentcats'])
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/recent_cats';

				// Page plus vues
				elseif (($page['section']) == 'most_visited' && $this->my_config['piclens_wall_spec_mostvisited'])
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/most_visited';

					// mieux notees	
				else if ($page['section'] == 'best_rated' && $this->my_config['piclens_wall_spec_bestrated'])
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/best_rated';

					// favories	
				else if ($page['section'] == 'favorites' && $this->my_config['piclens_wall_spec_favorites'])
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/favorites';
				else if ($page['section'] == 'tags' && $this->my_config['piclens_wall_spec_tags'])
				{
					$tags = '';
					foreach ($page['tag_ids'] as $id => $tag)
						$tags .= '/'.$tag.'-'.$page['tags'][''.$id.'']['name'];
					$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/tags'.$tags;
				}
			}
			// Remplacement de la navigation
			if ($this->my_config['piclens_wall_nav'])
			{
				// Page categories	
				if ($page['section'] == 'categories'
					and !empty($page['category'])
				    and !empty($page['items']))
				{
					// verification de presence de la categorie dans la liste parametree
					if (in_array($page['category']['id'], $this->my_config['piclens_wall_cat_nav_replace']))
					{
						$rssfeed = $this->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/';
						$rssfeed .= empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink'];
					}
				}
			}			
		}

		if (isset($rssfeed))
		{
			if (isset($conf['NO_https']) and $conf['NO_https'] and strncasecmp($rssfeed, 'https://', 8) == 0 ) 
					$rssfeed = 'http://' . substr($rssfeed, 8);

/////////
			$color = $this->my_config['piclens_wall_color'];
			$height = $this->my_config['piclens_wall_height'];
			$showfullscreen =  ($this->my_config['piclens_wall_showfullscreen'] ? "true" : "false");
			$showembed = ($this->my_config['piclens_wall_showembed'] ? "true" : "false");
			$showsearch = ($this->my_config['piclens_wall_showsearch'] ? "true" : "false");
			$transparent = $this->my_config['piclens_wall_transparent'];
			$swf_link = ($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf');
			$nbligne = (isset($this->my_config['piclens_wall_nb_ligne']) ? $this->my_config['piclens_wall_nb_ligne'] : "3");

			$showChrome = ($this->my_config['piclens_wall_showChrome'] ? "true" : "false");
			$showDescription = ($this->my_config['piclens_wall_showDescription'] ? "true" : "false");
			$showReflections = ($this->my_config['piclens_wall_showReflections'] ? "true" : "false");
			$showTutorial = ($this->my_config['piclens_wall_showTutorial'] ? "true" : "false");
			$showNavArrows = ($this->my_config['piclens_wall_showNavArrows'] ? "true" : "false");
			$backgroundAlpha = isset($this->my_config['piclens_wall_backgroundAlpha']) ? $this->my_config['piclens_wall_backgroundAlpha'] : "1.0";
            $backgroundColor =  str_replace('#', '%23', $this->my_config['piclens_wall_backgroundColor']);
			$glowColor	= str_replace('#', '%23', $this->my_config['piclens_wall_glowColor']);
			$descriptionHeight = $this->my_config['piclens_wall_descriptionHeight'];
			$tilt = $this->my_config['piclens_wall_tilt'];
                
			if (!empty($this->my_config['piclens_wall_backgroundImage']))
					$backgroundImage = $this->my_config['piclens_wall_backgroundImage']; 
			if (!empty($this->my_config['piclens_wall_tutorial']))
					$tutorial = (empty($this->my_config['piclens_wall_tutorialtime']) ? "4500" : $this->my_config['piclens_wall_tutorialtime']).','.$this->my_config['piclens_wall_tutorial']; 
			if (!empty($this->my_config['piclens_wall_customButtonURL']))
					$customButton = $this->my_config['piclens_wall_customButtonURL'].(empty($this->my_config['piclens_wall_customButtonTARGET']) ? ','.PICLENS_PATH : ','.$this->my_config['piclens_wall_customButtonTARGET']); 

			if (!empty($this->my_config['piclens_wall_icons']))
					$icons = $this->my_config['piclens_wall_icons']; 
			if (!empty($this->my_config['piclens_wall_linkCSS']))
					$linkCSS = $this->my_config['piclens_wall_linkCSS']; 
///////

			$template->assign('THUMBNAILS', 
                '<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
                        <param name="movie" value="'.$swf_link.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
                        .(isset($backgroundImage) ? '&amp;backgroundImage='.$backgroundImage : '')
                        .(isset($tutorial)?'&amp;tutorial='.$tutorial : '')
                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
                        .(isset($icons)?'&amp;icons='.$icons:'')
                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'')
                        .'" />
                    width="100%" height="'.$height.'" >
                        <param name="allowFullScreen" value="'.$showfullscreen.'" />
                        <param name="showEmbed" value="'.$showembed.'" />
                        <param name="showSearch" value="'.$showsearch.'" />
                        <param name="allowScriptAccess" value="always" />
                        <param name="flashvars" value="feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
                        .(isset($backgroundImage)?'&amp;backgroundImage='.$backgroundImage:'')
                        .(isset($tutorial)?'&amp;tutorial='.$tutorial:'')
                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
                        .(isset($icons)?'&amp;icons='.$icons:'')
                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'').'" />
                        
                        '.(isset($transparent)?'<param name="wmode" value="transparent" />':'')
                        .'<embed '.(isset($transparent)?'WMODE="transparent"':'').' type="application/x-shockwave-flash" 
                        src="'.$swf_link.'?feed='.$rssfeed.'&amp;style='.$color.'&amp;showEmbed='.$showembed.'&amp;showFullScreen='.$showfullscreen.'&amp;showSearch='.$showsearch.'&amp;numRows='.$nbligne.'&amp;showChrome='.$showChrome.'&amp;showDescription='.$showDescription.'&amp;showReflections='.$showReflections.'&amp;showTutorial='.$showTutorial.'&amp;showNavArrows='.$showNavArrows.'&amp;backgroundAlpha='.$backgroundAlpha.'&amp;backgroundColor='.$backgroundColor.'&amp;glowColor='.$glowColor.'&amp;descriptionHeight='.$descriptionHeight.'&amp;tilt='.$tilt
                        .(isset($backgroundImage)?'&amp;backgroundImage='.$backgroundImage:'')
                        .(isset($tutorial)?'&amp;tutorial='.$tutorial:'')
                        .(isset($customButton)?'&amp;customButton='.$customButton:'')
                        .(isset($icons)?'&amp;icons='.$icons:'')
                        .(isset($linkCSS)?'&amp;linkCSS='.$linkCSS:'').'" 
                        width="100%" height="'.$height.'" showEmbed="'.$showembed.'" showSearch="'.$showsearch.'" allowFullScreen="'.$showfullscreen.'" allowScriptAccess="always" style="'.$color.'" numRows="'.$nbligne.'" showChrome="'.$showChrome.'" showDescription="'.$showDescription.'" showReflections="'.$showReflections.'" showTutorial="'.$showTutorial.'" showNavArrows="'.$showNavArrows.'"  backgroundAlpha="'.$backgroundAlpha.'" backgroundColor="'.$backgroundColor.'" glowColor="'.$glowColor.'" descriptionHeight="'.$descriptionHeight.'" tilt="'.$tilt.'" '
                        .(isset($backgroundImage)?'backgroundImage="'.$backgroundImage.'"':'')
                        .(isset($tutorial)?'tutorial="'.$tutorial.'"':'')
                        .(isset($customButton)?'customButton="'.$customButton.'"':'')
                        .(isset($icons)?'icons="'.$icons.'"':'')
                        .(isset($linkCSS)?'linkCSS="'.$linkCSS.'"':'').'/>
                </object>');

		// Suppression de la barre de navigation
			$template->clear_assign('NAV_BAR');
			// Suppression de la barre de navigation categories (cas de l'affichage des categories recentes)
			if (($page['section']) == 'recent_cats')
				$template->clear_assign('CATEGORIES');
		}
		
	}
	

	
}

?>
